> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shiftkeeper.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Detach the Slack user group from a schedule

> Detach the Slack user group from a schedule. The user group will be disabled, as Slack does not allow deleting user groups. If you attach a user group to the schedule in the future, the user group will be reused and re-enabled.



## OpenAPI

````yaml https://api.shiftkeeper.io/openapi.json delete /schedules/{schedule_id}/slack_user_group/
openapi: 3.1.0
info:
  title: Shiftkeeper API
  description: API reference to interact with Shiftkeeper programatically
  version: 0.0.1
servers:
  - url: https://api.shiftkeeper.io
security:
  - apiKey: []
externalDocs:
  url: https://docs.shiftkeeper.io
  description: Learn more about Shiftkeeper
paths:
  /schedules/{schedule_id}/slack_user_group/:
    delete:
      tags:
        - Schedules
      summary: Detach the Slack user group from a schedule
      description: >-
        Detach the Slack user group from a schedule. The user group will be
        disabled, as Slack does not allow deleting user groups. If you attach a
        user group to the schedule in the future, the user group will be reused
        and re-enabled.
      parameters:
        - schema:
            type: string
          examples:
            sch_oKjoLJUl47g7OYYVPUG5t:
              value: sch_oKjoLJUl47g7OYYVPUG5t
            sch_kje7ER643ED0STVnB8Zc9:
              value: sch_kje7ER643ED0STVnB8Zc9
          in: path
          name: schedule_id
          required: true
          description: The ID of the schedule.
      responses:
        '204':
          description: Slack user group detached from schedule
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    $ref: '#/components/schemas/NotFoundError'
                required:
                  - error
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      docs_url:
                        type: string
                      status:
                        type: number
                        enum:
                          - 422
                      code:
                        type: string
                        enum:
                          - slack_group_permission_denied
                          - slack_group_only_available_for_paid_teams
                    required:
                      - message
                      - status
                      - code
                    example:
                      code: unprocessable_entity
                      status: 422
                      message: The request cannot be processed
                required:
                  - error
              example:
                error:
                  code: slack_group_only_available_for_paid_teams
                  message: >-
                    User groups are available only on paid Slack plans.
                    Unfortunately, your current Slack plan does not support
                    them.
                  status: 422
                  docs_url: >-
                    https://docs.shiftkeeper.io/api-reference/errors#slack-group-only-available-for-paid-teams
components:
  schemas:
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        docs_url:
          type: string
        status:
          type: number
          const: 404
        code:
          type: string
          const: not_found
      required:
        - message
        - status
        - code
      example:
        code: not_found
        status: 404
        message: The requested resource was not found
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key which starts with 'keeper_'

````